Last Comment Bug 741998 - Implement Australis toolbar button design
: Implement Australis toolbar button design
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Windows 7
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on: 752306
Blocks: 733854
  Show dependency treegraph
 
Reported: 2012-04-03 12:11 PDT by Richard Marti (:Paenglab)
Modified: 2012-05-06 04:18 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Button patch (62.48 KB, patch)
2012-04-03 12:45 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Button patch v2 (62.51 KB, patch)
2012-04-09 03:39 PDT, Richard Marti (:Paenglab)
bugs: review-
bugs: ui‑review-
Details | Diff | Splinter Review
Button patch v3 (65.09 KB, patch)
2012-04-21 03:15 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Button patch v3 unbitrotted (65.80 KB, patch)
2012-04-23 09:14 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
Details | Diff | Splinter Review

Description Richard Marti (:Paenglab) 2012-04-03 12:11:51 PDT
This is the Thunderbird bug following FX Bug 734373.

FX implements the button design only in big icon mode. Because TB has a lot more buttons it isn't easy to distinguish the buttons with only icons and the default is icons beside text, so I decided to use this styling on every mode. But in difference to the previous TB button styling only with Basic and Aero theme. On Classic and High Contrast themes the toolkit buttons are used.
Comment 1 Richard Marti (:Paenglab) 2012-04-03 12:45:35 PDT
Created attachment 611938 [details] [diff] [review]
Button patch

Okay here's the patch.

Is it okay with the 18px high line beside the dropmarker also in 'icons and text' mode (text below icons)? I think a full high line wouldn't look good.

I made the message header buttons again with button appearance also in non-hovered state like it is now and you wanted in a other bug. Is this okay, it makes the hover a little bit less obvious?
Comment 2 Richard Marti (:Paenglab) 2012-04-09 03:39:09 PDT
Created attachment 613262 [details] [diff] [review]
Button patch v2

Unbitrotted and fixed menulist padding under Classic theme. Issue can be seen on attachment 613259 [details] (the locationFolder menulist).
Comment 3 Blake Winton (:bwinton) (:☕️) 2012-04-12 14:34:08 PDT
Just leaving a note to say that I chatted with shorlander, and the text of toggled buttons on Mac (if shown) should also be blue and glowy, like the icons.  (Which makes sense, if you consider the text-only mode, in which I think we'll want to show the blue glow.)  Windows, of course, doesn't have the glow, so the question doesn't come up.  :)
Comment 4 Andreas Nilsson (:andreasn) 2012-04-17 07:24:43 PDT
Comment on attachment 613262 [details] [diff] [review]
Button patch v2

* Buttons needs to be 32px wide in icon-only mode.
* There needs to be a 2px padding between buttons instead of 6px like now.
* Regular button (button-newmsg) and Menu (button-tag) is too dark on hover - Menu button is ok.
* I'm not sure about the new button appearance in the message header. They look fuzzy now. We should probably give it a stronger border (to some extent this is also true for Folder location and Mail views in the main toolbar, but they ok now).
* Something about the Quick toggle icon makes it fuzzy.
* Chat icons looks fuzzy now.
* Under classic, the message header icons only get a buttonized appearance on hover.
* Everything else looks great!
Comment 5 Richard Marti (:Paenglab) 2012-04-21 03:15:00 PDT
Created attachment 617201 [details] [diff] [review]
Button patch v3

> * Buttons needs to be 32px wide in icon-only mode.

fixed

> * There needs to be a 2px padding between buttons instead of 6px like now.

fixed

> * Regular button (button-newmsg) and Menu (button-tag) is too dark on hover
> - Menu button is ok.

fixed

> * I'm not sure about the new button appearance in the message header. They
> look fuzzy now. We should probably give it a stronger border (to some extent
> this is also true for Folder location and Mail views in the main toolbar,
> but they ok now).

I made the border darker. Okay like this?

> * Something about the Quick toggle icon makes it fuzzy.

fixed

> * Chat icons looks fuzzy now.

fixed. I forgot to add chat-aero.css to the patch.

> * Under classic, the message header icons only get a buttonized appearance
> on hover.

fixed
Comment 6 Richard Marti (:Paenglab) 2012-04-23 09:14:35 PDT
Created attachment 617499 [details] [diff] [review]
Button patch v3 unbitrotted

Patch unbitrotted after landing of Bug 735702.
Comment 7 Andreas Nilsson (:andreasn) 2012-04-23 14:04:12 PDT
Comment on attachment 617499 [details] [diff] [review]
Button patch v3 unbitrotted

Great to see all the issues fixed!
Comment 8 Andreas Nilsson (:andreasn) 2012-05-02 10:14:22 PDT
Comment on attachment 617499 [details] [diff] [review]
Button patch v3 unbitrotted

I've been going through the code a couple of times, and I can't spot any issues so lets go for this!

Really long lines on line 191 and other places, but really not much we can do about that (and as we talked about on IRC, Firefox does the same).
Comment 9 Ryan VanderMeulen [:RyanVM] 2012-05-02 15:52:54 PDT
http://hg.mozilla.org/comm-central/rev/01e0db038845

Note You need to log in before you can comment on or make changes to this bug.